Bug 237008 - security/py-requests-credssp: update to 1.0.2
Summary: security/py-requests-credssp: update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-04 07:58 UTC by timp87
Modified: 2019-04-09 19:07 UTC (History)
1 user (show)

See Also:
rozhuk.im: maintainer-feedback+
rozhuk.im: merge-quarterly?


Attachments
port patch (1.46 KB, patch)
2019-04-04 07:58 UTC, timp87
no flags Details | Diff
port patch adjusted (1.90 KB, patch)
2019-04-05 18:25 UTC, timp87
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2019-04-04 07:58:00 UTC
Created attachment 203372 [details]
port patch

- Update security/py-requests-credssp to 1.0.2
- Add devel/py-pyasn1 as dependency

Full list of changes from 0.1.0 to 1.0.2 are here https://github.com/jborean93/requests-credssp/releases:

v1.0.2
- Changed some log messages to a debug level instead of info

v1,0,1
- Added support for Python 3.7
- Fix version info warning msg for pub key authentication process

v1.0.0
- Drop support for Python 3.3
- Added support for new CredSSP protocol 5 and 6, mitigates CVE 2018-0886
- Added the ability to specify a minimum CredSSP server version
- Added support for SPNEGO/Kerberos authentication over CredSSP
- Removed manual asn.1 structures and added dependency on pyasn1 for easier
code management
- Deprecated older function in HttpCredSSPAuth that should be host specific
instead of global
- Changed license to MIT from ISC
- Tidied up test suite to use py.test and added pep8 checks
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-04 22:31:54 UTC
(In reply to timp87 from comment #0)

The patch is incomplete for changes of license and dependencies.

> v1.0.0
> - Changed license to MIT from ISC

from setup.py:
    install_requires=[
        "cryptography",
        "ntlm-auth",
        "six",
        "pyasn1>=0.3.1",
        "pyOpenSSL>=16.0.0",
        "requests>=2.0.0"
    ],
Comment 2 timp87 2019-04-05 18:25:51 UTC
Created attachment 203414 [details]
port patch adjusted

(In reply to Sunpoet Po-Chuan Hsieh from comment #1)
Thanks a lot! Here is the correct patch

- Update to 1.0.2
- Change LICENSE from ISCL to MIT
- Add new dependencies
- Sort list of dependent modules
- Move NO_ARCH down to make portlint happy
Comment 3 commit-hook freebsd_committer 2019-04-09 19:07:37 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Apr  9 19:06:37 UTC 2019
New revision: 498509
URL: https://svnweb.freebsd.org/changeset/ports/498509

Log:
  Update to 1.0.2

  - Update LICENSE
  - While I'm here, sort RUN_DEPENDS

  Changes:	https://github.com/jborean93/requests-credssp/releases
  PR:		237008
  Submitted by:	Pavel Timofeev <timp87@gmail.com>
  Approved by:	Rozhuk Ivan <rozhuk.im@gmail.com> (maintainer)

Changes:
  head/security/py-requests-credssp/Makefile
  head/security/py-requests-credssp/distinfo
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-09 19:07:43 UTC
Committed. Thanks!